Subject: bug#23943: closed (Re: bug#23943: Guile loads "init.scm" from the current directory)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jul 2016 16:08:02 +0000

Your bug report

#23943: Guile loads "init.scm" from the current directory

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23943: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23943
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23943: Guile loads "init.scm" from the current directory
From: Andy Wingo <[email-masked]>
To: Alex Kost <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Jul 2016 18:07:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon 11 Jul 2016 09:44, Alex Kost <[email-masked]> writes:

> cd /tmp
> echo foo > init.scm
> GUILE_LOAD_COMPILED_PATH= GUILE_LOAD_PATH= guile -q
>
> And it fails with this error:
>
>   guile: uncaught throw to unbound-variable: (#f Unbound variable: ~S (foo) #f)
>   Cannot exit gracefully when init is in progress; aborting.
>   Aborted (core dumped)
>
> I'm not sure I understand it right from the commentary in "init.c"[1],
> but I think this behavior is not intended, or is it?
>
> [1] http://git.savannah.gnu.org/cgit/guile.git/tree/libguile/init.c#n238

Your invocation does not unset GUILE_LOAD_PATH and
GUILE_LOAD_COMPILED_PATH, but rather *sets* them to contain only one
element, the current directory.  Use "unset" or similar to unset these
variables.

Andy

Subject: Guile loads "init.scm" from the current directory
From: Alex Kost <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jul 2016 10:44:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.  If you start guile from a directory that contains "init.scm"
file, it will be loaded.  Try this recipe (GUILE_..._PATH are unset for
a pure experiment):

cd /tmp
echo foo > init.scm
GUILE_LOAD_COMPILED_PATH= GUILE_LOAD_PATH= guile -q

And it fails with this error:

  guile: uncaught throw to unbound-variable: (#f Unbound variable: ~S (foo) #f)
  Cannot exit gracefully when init is in progress; aborting.
  Aborted (core dumped)

I'm not sure I understand it right from the commentary in "init.c"[1],
but I think this behavior is not intended, or is it?

[1] http://git.savannah.gnu.org/cgit/guile.git/tree/libguile/init.c#n238

-- 
Alex